diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index 01dee5d1030fb720b85cdefc6aa593c42d402ddc..02f3928e60348fe0b0803837584eb88d0422cb7c 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -3314,7 +3314,7 @@ setup_test102() {
 }
 
 cleanup_test102() {
-	[ "SETUP_TEST102" = "YES" ] || return
+	[ "$SETUP_TEST102" = "yes" ] || return
 	trap 0
 	rm -f $TMP/f102.tar
 	rm -rf $DIR/$tdir